// our type checking errors are fairely large, but not excessively large
#![allow(clippy::result_large_err)]
mod ty;
pub use ty::Type;

mod error;
pub use error::Error;

pub(crate) mod ir;
pub(crate) use ir::Template;

mod context;
pub(crate) use context::type_check_templates;
pub use context::Indentation;
